package com.heyu.api.data.entity.u3d;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*U3D动作配置表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("u3d_action")
public class U3dActionEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.u3d.U3dActionEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // 
    public final static String is_delete = CLASS_NAME + "is_delete";        // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";    // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";    // 修改时间
    public final static String name_ = CLASS_NAME + "name";                 // 名称
    public final static String type_ = CLASS_NAME + "type";                 // 动作类型
    public final static String action_ = CLASS_NAME + "action";             // 具体动作
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //名称
    private String name;
    //动作类型
    private Integer type;
    //具体动作
    private String action;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 动作类型 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 动作类型 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 具体动作 
     * @return
     */
    public String getAction() {
        return action;
    }
    /**
     * 具体动作 
     * @param action
     */
    public void setAction(String action) {
        this.action = action;
    }

    @Override
    public String toString() {
        return "U3dActionEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",name=" + name +
                ",type=" + type +
                ",action=" + action +
                "}";
    }
}